<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Game;
class ApiController extends Controller
{
    public function gameDetail(Request $request){
        if($request->type != null){
      $game = Game::where('status', "1")->where('name',$request->type)->first();
      }else{
        $game = Game::find($request->id);
      }
        $output = '';
        if($game != null){
            if($game->start_time <= date('Y-m-d')){
            $day = 'Last';
         }else{
            $day = 'First';
         }
            $data['name'] = $game->name;
            $data['start_date'] = date('d-m-Y',strtotime($game->start_time));
            $data['end_date'] = date('d-m-Y',strtotime($game->end_time));
            $data['result_date'] = date('d-m-Y',strtotime($game->result_time));

            // time
            $data['start_time'] = date('h:i',strtotime($game->start_time));
            $data['end_time'] = date('h:i',strtotime($game->end_time));
            $data['result_time'] = date('h:i',strtotime($game->result_time));
            $output .= '<p class="bg-grey p-2 m-0 text-white text-center" id="game-name">'.$game->name.'</p>
            <div class="bg-dark p-2 text-white text-center"><i class="img-icon mb-3">
            <img width="20" height="20" src="'.asset($game->image).'" alt="company--v1"/> </i>
            <p class="f-10">Holiday , '.$day.' day of month</p>
          <div class="border rounded-2 p-2 ">
             <div class="d-flex justify-content-between">
                <p class=" small mb-0 f-10"> Start Time:
                </p>
                <p class=" small mb-0 f-10"> '.date('h:i a',strtotime($game->start_time)).'
                </p>
             </div>
             <div class="d-flex justify-content-between">
                <p class=" small mb-0 f-10"> End Time:
                </p>
                <p class=" small mb-0 f-10"> '.date('h:i a',strtotime($game->end_time)).'
                </p>
             </div>
             <div class="d-flex justify-content-between">
                <p class=" small mb-0 f-10"> Result Time:
                </p>
                <p class=" small mb-0 f-10"> '.date('h:i a',strtotime($game->result_time)).'
                </p>
             </div>


          </div>';
        }

        return response()->json($output);
    }
}
