<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Transcation;
class TranscationController extends Controller
{
    public function index(){
        $transcations = Transcation::where('status',"1")->orderBy('id', 'desc')->get();
        return view('admin.transcation.index', compact('transcations'));
    }


    public function update(Request $request,$id){
        $transcations = Transcation::where('unique_id',$id)->first();
        if(is_null($transcations)){
        session()->flash('error_msg', 'No Data Found!');
        return back()->withInput($request->all());
      }
      $transcations->transcation_status = $request->status;
      $transcations->save();
      session()->flash('success_msg', 'Transcation has been Updated Successfully');
      return redirect()->route('transcations.index');
    }
}
