@extends('admin.layouts.app')
@section('title', 'Admin - Game List')
@push('headerscript')
@endpush
@section('content')
    <div class="page-content">
        {{-- <div class="row">
            <div class="flash-message">
                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                    @if (Session::has('alert-' . $msg))
                        <section>
                            <div class="row">
                                <div class="col-sm-12 col-lg-12">
                                    <center>
                                        <div data-example-id="simple-alerts" class="bs-example">
                                            <div role="alert" class="alert alert-success">
                                                <strong>Thank you your request has been Submitted
                                                    Successfully! Please wait untill your Request Approves!
                                                </strong>
                                            </div>
                                        </div>
                                    </center>
                                </div>
                            </div>
                        </section>
                    @endif
                @endforeach
            </div> <!-- end .flash-message -->
        </div>
     --}}
    <div class="">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <h2 class="card-title text-center">Result</h2>
                            <div class="col-md-4 mt-4">
                                <a href="{{ route('aResult.create') }}"> <input type="create_amount"
                                        class="btn btn-primary" value="Result"></a>
                            </div>
                            <hr>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap w-100">
                               
                                <!-- <input type="button" name="check" value="Deselect All" class="btn btn-primary" onclick='deSelect()'> -->
                                <thead>
                                   
                                    <tr>
                                        {{-- <th><input type="checkbox" name="check" value="Check" class="btn btn-primary" onclick='selects()'> --}}
                                        </th>
                                        <th>S.No.</th>
                                        <th>User</th>
                                        <th>Game</th>
                                        <th>Type</th>
                                        <th>Win Number</th>
                                        <th>total</th>
                                        {{-- <th>Action</th> --}}
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($result as $r)
                                        <tr>
                                            {{-- <td><input type="checkbox" name="chk" id=""></td> --}}
                                            <td>{{ $loop->iteration }}</td>
                                            <td>
                                                {{ App\Models\User::where('id',$r->user_id)->value('name') }}
                                            </td>
                                            <td>
                                                {{ App\Models\Game::where('id',$r->game_id)->value('name') }}
                                            </td>
                                            <td>
                                                {{ $r->result_type }}
                                            </td>
                                            <td>
                                           
                                                {{$r->result_number}}
                                            </td>
                                            <td>
                                                {{ $r->amount }}
                                            </td>
                                            {{-- <td class="d-flex">
                                                <a href="{{route('game.edit',$r->unique_id)}}" title="Edit" class="btn btn-success btn-rounded btn-sm"><i class="fa fa-pencil-alt"></i></a>
                                                <form action="{{route('game.destroy',$r->unique_id)}}" method="post">
                                                    @method('delete')
                                                    @csrf
                                                    <button type="submit" title="Delete" class="btn btn-danger btn-rounded btn-sm" style="margin-left: 5px;"><i class="fa fa-trash" aria-hidden="true"></i></button>
                                                </form>
                                            </td> --}}
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> 
            </div> 
        </div> 
    </div>
    </div>
    <!-- End Page-content -->

@endsection
@push('footerscript')

@endpush
