@extends('admin.layouts.app')
@section('title', 'Admin - Transcation List')
@push('headerscript')
@section('content')
    <div class="page-content">
        {{-- <div class="row">
            <div class="flash-message">
                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                    @if (Session::has('alert-' . $msg))
                        <section>
                            <div class="row">
                                <div class="col-sm-12 col-lg-12">
                                    <center>
                                        <div data-example-id="simple-alerts" class="bs-example">
                                            <div role="alert" class="alert alert-success">
                                                <strong>Thank you your request has been Submitted
                                                    Successfully! Please wait untill your Request Approves!
                                                </strong>
                                            </div>
                                        </div>
                                    </center>
                                </div>
                            </div>
                        </section>
                    @endif
                @endforeach
            </div> <!-- end .flash-message -->
        </div>
     --}}
    <div class="">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <h2 class="card-title text-center">Transcation</h2>
                            <div class="col-md-4 mt-4">
                                {{-- <a href="{{ route('transcations.create') }}" class="btn btn-primary">Add Transcation</a> --}}
                            </div>
                            <hr>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap w-100">
                                <thead>
                                   
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Name</th>
                                        <th>Payment Type</th>
                                        <th>Cr/Dr</th>
                                        <th>Amount</th>
                                        <th>Remaining Amount</th>
                                        <th>Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($transcations as $r)
                                        <tr>
                                            {{-- <td><input type="checkbox" name="chk" id=""></td> --}}
                                            <td>{{ $loop->iteration }}</td>
                                           
                                        
                                            <td>
                                                {{ App\Models\User::where('id',$r->user_id)->value('name') }}
                                            </td>
                                            <td>
                                                {{ $r->payment_type }}
                                            </td>
                                            <td>
                                                {{ $r->type }}
                                            </td>
                                            <td>
                                                {{ $r->amount }}
                                            </td>
                                            <td>
                                               {{$r->remaining_amount}}
                                            </td>
                                            <td>
                                                @if($r->transcation_status == "1")
                                                Approved
                                                @elseif($r->transcation_status == "2")
                                                Rejected
                                                @else
                                                Pending
                                                {{-- <form action="{{route('transcations.update',$r->unique_id)}}" method="post">
                                                    @csrf
                                                    @method('put')
                                                    <label>
                                                <select name="status" class="form-control">
                                                    <option value="0">Pending</option>
                                                    <option value="1">Approved</option>
                                                    <option value="2">Rejected</option>
                                                </select></label>
                                                <input type="submit" class="btn btn-success btn-sm" value="Update">
                                            </form> --}}
                                                @endif
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->
        </div> <!-- container-fluid -->
    </div>
    </div>
    <!-- End Page-content -->

@endsection
@push('footerscript')
   
  
@endpush
