@extends('admin.layouts.app')
@section('title', 'Admin - Profile')
@push('headerscript')


@endpush
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                            <div class="col-12">
                                <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                                    <h4 class="mb-sm-0 font-size-18"><i class="bx bx-user-circle"></i> Detail</h4>

                                    

                                </div>
                            </div>
                        </div>
        <div class="row">
            <div class="flash-message">
                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                    @if (Session::has('alert-' . $msg))
                        <section>
                            <div class="row">
                                <div class="col-sm-12 col-lg-12">
                                    <center>
                                        <div data-example-id="simple-alerts" class="bs-example">
                                            <div role="alert" class="alert alert-success">
                                                <strong>Thank you your request has been Submitted
                                                    Successfully! Please wait untill your Request Approves!
                                                </strong>
                                            </div>
                                        </div>
                                    </center>
                                </div>
                            </div>
                        </section>
                    @endif
                @endforeach
            </div> <!-- end .flash-message -->
        </div>
        
        <div class="row">
            
    <div class="col-lg-12">
        <div class="dashboard-tab cart-wrapper p-5 bg-white rounded-lg shadow-xs mb-3">
            <!--<div class="row">-->
            <!--    <div class="col-lg-4 offset-sm-4 text-center">-->
            <!--        <h2 class="text-center" style="margin-top: 25px;"><strong style="color: #33439b;">Profile-->
            <!--                Details</strong></h2>-->

            <!--    </div>-->
            <!--</div>-->
           
                @php

                    $data=json_decode($data->detail);
                  
                @endphp
                <div class="row">
                    <div class="col-sm-6">
                        <div class="form-group fg-line">
                            <label class="fg-label">Payment Type</label>
                            <input type="text" name="payment_type" readonly="" id="payment_type" onchange="paymentType();" value="{{ @$data->payment_type }}"
                                class="form-control">
                        </div>
                        </div>
                        <div class="col-sm-6 mb-3 ">
                            <div class="form-group fg-line">
                                <label class="fg-label">Enter the Point</label>
                                <input type="number" name="amount" readonly="" value="{{ @$data->amount}}"
                                    class="form-control">
                            </div>
                        </div>
               
                    @if(@$data->payment_type == 'upi')
                    <div class="col-sm-6 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Upi</label>
                            <input type="text" readonly="" name="upi" value="{{ @$data->payment_type}}"
                                class="form-control">
                        </div>
                    </div>
                @else
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Bank account number</label>
                            <input type="text" name="account_no" readonly="" value="{{ @$data->account_no }}"
                                class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-6 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Confirm bank account number</label>
                            <input type="text" name="c_account_no" readonly="" value="{{ @$data->c_account_no}}"
                                class="form-control">
                        </div>
                    </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Name</label>
                            <input type="text" name="name" readonly="" value="{{ @$data->name }}"
                                class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-6 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Mobile Noumber</label>
                            <input type="text" name="mobile_no" readonly="" value="{{ @$data->mobile_no}}"
                                class="form-control">
                        </div>
                    </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Bank Name</label>
                            <input type="text" name="bank_name" readonly="" value="{{ @$data->bank_name }}"
                                class="form-control">
                        </div>
                    </div>
                    <div class="col-sm-6 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">Branch Name</label>
                            <input type="text" name="branch_name" readonly="" value="{{ @$data->branch_name }}"
                                class="form-control">
                        </div>
                    </div>
                     <div class="col-sm-6 mb-3 ">
                        <div class="form-group fg-line">
                            <label class="fg-label">IFSC Code</label>
                            <input type="text" name="IFSC_code" readonly="" value="{{ @$data->IFSC_code }}"
                                class="form-control">
                        </div>
                    </div>
             @endif
            
            </div>
            
            </form>
        </div>
    </div>
        </div>
        </div>
    </div>
    </div>
    </div>
    </div>

    <script>
        function paymentType(){
        //  alert($('#payment_type').val());
         var value = $('#payment_type').val();
         if(value == 'upi'){
          $('#bankdetail').hide();
          $('#upidetail').show();
          $('#upi').attr('required', true);
          var status = false;
         }else{
          var status = true;
          $('#upi').attr('required', false);
          $('#upidetail').hide();
          $('#bankdetail').show();
         }
      
         $('#account_no').attr('required', status);
         $('#c_account_no').attr('required', status);
         $('#mobile_no').attr('required', status);
         $('#bank_name').attr('required', status);
         $('#branch_name').attr('required', status);
         $('#IFSC_code').attr('required', status);
      
      }
      </script>
@endsection
