
<?php $__env->startSection('title', 'Admin - Edit User'); ?>
<?php $__env->startSection('content'); ?>



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Edit User</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">
                            <form method="POST" action="<?php echo e(route('user.update',$user->unique_id)); ?>"
                                enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('put'); ?>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Name <span class="text-danger">*</span></label>
                                        <input class="form-input form-control" type="text" id="name" name="name"
                                            value="<?php echo e(old('name',$user->name)); ?>">
                                            <span class="text-danger small"><?php echo e($errors->first('name')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Email <span class="text-danger">*</span> </label>
                                            <input class="form-input form-control" type="email" value="<?php echo e(old('email',$user->email)); ?>" id="email" name="email">
                                            <span class="text-danger small"><?php echo e($errors->first('email')); ?></span>
                                    </div>
                                </div>
                                 <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Phone <span class="text-danger">*</span></label>
                                        <input class="form-input form-control number" type="text" readonly
                                            value="<?php echo e($user->phone); ?>">
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">DOB <span class="text-danger">*</span> </label>
                                            <input class="form-input form-control" type="date" value="<?php echo e(old('dob',$user->dob)); ?>" id="dob" name="dob" max="<?php echo e(date('Y-m-d')); ?>">
                                            <span class="text-danger small"><?php echo e($errors->first('dob')); ?></span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Wallet</label>
                                        <input class="form-input form-control number" type="text" value="<?php echo e($user->wallet); ?>" readonly>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Gender</label>
                                        <select name="gender" id="gender" class="form-control">
                                            <option <?php if(old('gender',$user->gender) == 'Male'): ?> selected <?php endif; ?> value="Male">Male</option>
                                            <option <?php if(old('gender',$user->gender) == 'Female'): ?> selected <?php endif; ?> value="Female">Female</option>
                                        </select>
                                        <span class="text-danger small"><?php echo e($errors->first('gender')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-form-label">Image</label>
                                            <input class="form-input form-control" type="file" id="image" name="image">
                                            <span class="text-danger small"><?php echo e($errors->first('image')); ?></span>
                                    </div>
                                    <div class="col-md-6 mt-2">
                                            <img width="150px" src="<?php echo e(asset($user->image)); ?>" alt="">
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>




 
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/Gaming_app/resources/views/admin/user/edit.blade.php ENDPATH**/ ?>