
<?php $__env->startSection('title', 'Admin - Create Game '); ?>
<?php $__env->startSection('content'); ?>



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Create Game</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="<?php echo e(route('game.store')); ?>"
                            enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Type <span class="text-danger">*</span></label>
                                        <select name="type" id="type" class="form-control">
                                            <option value="">Select Type</option>
                                            <?php $__currentLoopData = App\Models\GameType::where('status',"1")->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if(old('type') == $r->id): ?> selected <?php endif; ?> value="<?php echo e($r->id); ?>"><?php echo e($r->type); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        
                                            <span class="text-danger small"><?php echo e($errors->first('name')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Start (Date And Time): <span class="text-danger">*</span></label>
                                            <input class="form-input form-control" type="datetime-local" value="<?php echo e(old('start_time')); ?>" id="start_time" min="<?php echo e(date('Y-m-d H:i')); ?>" name="start_time">
                                            <span class="text-danger small"><?php echo e($errors->first('start_time')); ?></span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">End (Date And Time): <span class="text-danger">*</span></label>
                                        <input class="form-input form-control" type="datetime-local" id="end_time" value="<?php echo e(old('end_time')); ?>" min="<?php echo e(date('Y-m-d H:i')); ?>" name="end_time">
                                        <span class="text-danger small"><?php echo e($errors->first('end_time')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Result (Date And Time): <span class="text-danger">*</span></label>
                                            <input class="form-input form-control" type="datetime-local" id="result_time" value="<?php echo e(old('result_time')); ?>" min="<?php echo e(date('Y-m-d H:i')); ?>" name="result_time">
                                            <span class="text-danger small"><?php echo e($errors->first('result_time')); ?></span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Multiply: <span class="text-danger">*</span></label>
                                        <input class="form-input form-control number" type="number" id="multiply" name="multiply" value="<?php echo e(old('multiply')); ?>">
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>
<script>
    function getval() {
        var e = document.getElementById("cars").value;
        alert(e)
    }
</script>



 
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/Gaming_app/resources/views/admin/game/create.blade.php ENDPATH**/ ?>