
<?php $__env->startSection('title', 'Admin - Withdrawal List'); ?>
<?php $__env->startPush('headerscript'); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        
    <div class="">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <h2 class="card-title text-center">Withdrawal</h2>
                            <div class="col-md-4 mt-4">
                                
                            </div>
                            <hr>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap w-100">
                                <thead>
                                   
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Name</th>
                                        <th>Amount</th>
                                        <th>Action</th>
                                        <th>Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $withdrawals; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            
                                            <td><?php echo e($loop->iteration); ?></td>
                                           
                                        
                                            <td>
                                                <?php echo e(App\Models\User::where('id',$r->user_id)->value('name')); ?>

                                            </td>
                                            
                                            <td>
                                                <?php echo e($r->amount); ?>

                                            </td>
                                            <td>
                                               
                                                <a href="<?php echo e(route('withdrawals.show',$r->unique_id)); ?>" class="btn btn-info btn-xs"><i class="ti-pencil ml-2 font-xs text-grey-500"></i>View </a>
                                            </td>
                                            <td>
                                                <?php if($r->withdrawal_status == "1"): ?>
                                                Approved
                                                <?php elseif($r->withdrawal_status == "2"): ?>
                                                Rejected
                                                <?php else: ?>
                                                <form action="<?php echo e(route('withdrawals.update',$r->unique_id)); ?>" method="post">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('put'); ?>
                                                    <label>
                                                <select name="status" class="form-control">
                                                    <option value="0">Pending</option>
                                                    <option value="1">Approved</option>
                                                    <option value="2">Rejected</option>
                                                </select></label>
                                                <input type="submit" class="btn btn-success btn-sm" value="Update">
                                            </form>
                                                <?php endif; ?>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->
        </div> <!-- container-fluid -->
    </div>
    </div>
    <!-- End Page-content -->

<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
   
  
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/Gaming_app/resources/views/admin/withdrawal/index.blade.php ENDPATH**/ ?>