<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Auth;
use App\Models\User;
class HomeController extends Controller
{
    public function index(){
        return view('admin.home');
    }

    public function adminprofile()
    {
        return view('admin.profile');  
    }



      public function adminupdateprofile(Request $request)
    {
        $input = $request->all();
        $request->validate([
            'name' => 'required',
            'email' => 'required',
            'phone' => 'required|digits:10',
        ]);
        
        $request['phone'] = '91'.$request->phone;
        $request->validate([
            'phone' => 'unique:users,phone,'.Auth::user()->id,
        ]);
        $id = Auth::user()->id;
        $user = User::find($id);
        $user->name = $request->name;
        $user->email = $request->email;
        $user->phone = $request->phone;
        if ($request->hasFile('image')) {
            $image = $request->file('image');
            $filename = $image->getClientOriginalName();
            $destinationPath = public_path('uploads/profile_image');
            $image->move($destinationPath, $filename);
            $user->image = "uploads/profile_image/" . $filename;
        }
        $user->save();

        session()->flash('success_msg', 'Updated Successfully ');
        return redirect('admin/adminprofile');
    }
}
