<?php

namespace App\Http\Controllers\admin;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Setting;
class SettingController extends Controller
{
    public function index(){
    return view('admin.setting.index');
    }


    public function store(Request $request){
        $formType = $request->input('form_type');

        if ($formType === 'bounssetting') {

       

            if(empty(getSiteSettings('refral_bouns'))){
                $data['_key']='refral_bouns';
                $data['_value']=$request->refral_bouns;
                $save=Setting::create($data);
            }else{
                $data['_value']=$request->refral_bouns;
                $save=Setting::where('_key','=','refral_bouns')->update($data);
            }


            if(empty(getSiteSettings('bouns'))){
                $data['_key']='bouns';
                $data['_value']=$request->bouns;
                $save=Setting::create($data);
            }else{
                $data['_value']=$request->bouns;
                $save=Setting::where('_key','=','bouns')->update($data);
            }
          

         return back()->with('success_msg','Bouns Setting Updated Successfully!');
        }
        elseif ($formType === 'contact_detail') {

       $request->validate([
        'whatsapp_number' => 'digits:10',
        'phone_number' => 'digits:10'
        ]);

            if(empty(getSiteSettings('whatsapp_number'))){
                $data['_key']='whatsapp_number';
                $data['_value']=$request->whatsapp_number;
                $save=Setting::create($data);
            }else{
                $data['_value']=$request->whatsapp_number;
                $save=Setting::where('_key','=','whatsapp_number')->update($data);
            }


            if(empty(getSiteSettings('phone_number'))){
                $data['_key']='phone_number';
                $data['_value']=$request->phone_number;
                $save=Setting::create($data);
            }else{
                $data['_value']=$request->phone_number;
                $save=Setting::where('_key','=','phone_number')->update($data);
            }
          

         return back()->with('success_msg','Contact Detail Updated Successfully!');
        }
        elseif ($formType === 'aboutus_content') {
            if(empty(getSiteSettings('aboutus_content'))){
                $data['_key']='aboutus_content';
                $data['_value']=$request->aboutus_content;
                $save=Setting::create($data);
            }else{
                $data['_value']=$request->aboutus_content;
                $save=Setting::where('_key','=','aboutus_content')->update($data);
         return back()->with('success_msg','about Us content Updated Successfully!');
        }
    }
    return back();
}
}
