<?php include 'link.php' ?>
<style>
   .main-head input {
        background: unset;
        color: #fff;
        border: none;
        border-bottom: 1px solid #fff;
        border-radius: 0;
        width: 100%;
        padding: 12px;

    }

    .main-head  .input-wrap {
        position: relative;
        margin-bottom: 10px;
    }

    input:focus {
        outline: 0px;
    }

    .main-head   .input-wrap label {
        bottom: 5px;

        position: absolute;
        font-size: 14px;
        color: #FFF;
        z-index: 2;
        padding: 0 5px;
        -webkit-transition: all 300ms ease;
        -moz-transition: all 300ms ease;
        -ms-transition: all 300ms ease;
        -o-transition: all 300ms ease;
        transition: all 300ms ease;
    }

    .main-head .input-wrap label.active {
        top: 0px;
        font-size: 10px;
    }

    .main-head  .input-wrap label.active.hidden {
        opacity: 1;
        z-index: 2;
    }

    .main-head .input-wrap label.hidden {
        opacity: 0;
        z-index: -1;
    }
    .profile{
        box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
        height: 100vh;
    overflow: auto;
    }
    .profile-icon{
        width: 100px;
    height: 100px;
    }
    .form__input-group label{
        color: #6c757d;
    }
    .profile  input[type="date"]::-webkit-inner-spin-button,
    .profile input[type="date"]::-webkit-calendar-picker-indicator {
    display: none;
    -webkit-appearance: none;
}
.edit-icn{
    position: absolute;
    right: 30%;
    bottom: 25px;
    background: #ffc107;
    border-radius: 50%;
    padding: 4px;
    text-align: center;
    height: 30px;
    width: 29px;
}
</style>

<body class="bg-img">
    <div class="notification d-flex flex-column vh-100">
        <div class="d-flex  main-head align-items-center justify-content-between  p-3  shadow-lg osahan-header">
            <a href="javascript: history.go(-1)" class="text-white icon back-arrow">
                <img width="12" height="12" src="https://img.icons8.com/ios-filled/50/FFFFFF/back.png" alt="back" /></a>
            <h6 class="mb-0 ms-3 me-auto fw-bold text-white">Account</h6>

        </div>



        <div class="sign-in  p-3">
            <div class="profile p-3 pb-4 rounded-3">
            <div class="justify-content-between mb-3">
                <div style="text-align: center " class="position-relative">
                <img src="img/logo.png" alt="" class="img-fluid rounded-circle icon m-auto profile-icon">
                <img width="10"  class="edit-icn" height="10" src="https://img.icons8.com/ios/50/737373/create-new.png" alt="create-new"/>
                </div>
            </div>

            <form action="#" method="POST" autocomplete="off">
                <div class=" main-head ">
                    <div class="d-flex">
                    <img width="20" height="20" src="https://img.icons8.com/ios/50/737373/create-new.png" alt="create-new"/>
                    <h6 class="mb-0 ms-2 me-auto fw-bold text-white">Profile Details</h6>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" data-placeholder=" Name"  value="sej" name="Name">
                        <label for="">Name</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="sej@gmail.com" name=" mail">
                        <label for="">Email Address</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="765837584" name="Phone Number">
                        <label for="">Enter Your Phone Number</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="Female" name="Gender">
                        <label for="">Gender</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="date" value="2017-06-01" name="date">
                        <label for="">Date Of Birth</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="Bank Name" name="Bank Name">
                        <label for="">Bank Name</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                   
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="Branch Name" name="Branch Name">
                        <label for="">Branch Name</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="IFSC" name="IFSC">
                        <label for="IFSC">IFSC</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" value="UPI" name="UPI">
                        <label for="UPI">UPI</label>
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                   
                </div>


                <div>
               
                </div>
            </form>
         
                    </div>
                    <div class="d-flex justify-content-center mt-2  w-100">
                        <p class="text-muted text-end mb-0  w-100">
                            <a class="btn btn-sm yellow-common-btn text-dark w-100 rounded-4 mb-2" href="otp.php"><span>Submit</span></a>
                        </p>

                    </div>
        </div>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

        <script>
            $('.number').keyup(function(e) {
                if (/\D/g.test(this.value)) {
                    this.value = this.value.replace(/\D/g, '');
                }
            });


        </script>

        <!-- </body autocomplete="off"> -->



        <script src="https://siddhimantra.com/webtheme/vender/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="https://siddhimantra.com/webtheme/vender/sidebar/hc-offcanvas-nav.js"></script>
        <script src="https://siddhimantra.com/webtheme/vender/slick/slick/slick.min.js"></script>
        <script src="https://siddhimantra.com/webtheme/js/script.js"></script>
        <script>
            $('.number').keyup(function(e) {
                if (/\D/g.test(this.value)) {
                    this.value = this.value.replace(/\D/g, '');
                }
            });
        </script>
        <script src="https://siddhimantra.com/webtheme/js/displayAds.js"></script>
</body>

</html>