@extends('admin.layouts.app')
@section('title', 'Admin - Edit Game Type')
@section('content')



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Edit Game type</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form  method="POST" action="{{ route('gameType.update',$type->unique_id) }}" enctype="multipart/form-data">
                                @method('put')
                                @csrf
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Type </label>
                                        <input class="form-input form-control" type="text" id="type"  name="type"
                                            value="{{old('type',$type->type)}}">
                                            <span class="text-danger small">{{$errors->first('type')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Image: </label>
                                        <input class="form-input form-control" type="file" id="image" name="image">
                                    </div>
                                    <div class="col-md-6 mt-2">
                                       <img style="border: 2px solid;" src="{{asset($type->image)}}" alt="">
                                    </div>
                                    
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
@endsection
@push('footerscript')
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>



 
@endpush
