@extends('admin.layouts.app')
@section('title', 'Admin - Edit Notification')
@section('content')



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Edit Notification</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="{{ route('Anotification.update',$notification->unique_id) }}"
                            enctype="multipart/form-data">
                                @csrf
                                @method('put')
                                <div class="mb-3 row">
                                    <div class="col-md-12">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Message </label>
                                        <textarea class="form-input form-control ckeditor" id="message" name="message" required>{{old('message',$notification->message)}}</textarea>
                                            <span class="text-danger small">{{$errors->first('message')}}</span>
                                    </div>
                                    <div class="col-md-12">
                                        <label for="example-date-input" class="col-md- col-form-label">Deliver Date: </label>
                                        <input class="form-input form-control" type="date" id="date" name="date" value="{{old('date',$notification->deliver_date)}}">
                                        <span class="text-danger small">{{$errors->first('date')}}</span>
                                    </div>
                                  
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>


    </div> <!-- end col -->

    </div>
    </div>
    </div>
@endsection
@push('footerscript')

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
       $('.ckeditor').ckeditor();
    });
</script>
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>
<script>
    function getval() {
        var e = document.getElementById("cars").value;
        alert(e)
    }
</script>



 
@endpush
