@extends('admin.layouts.app')
@section('title', 'Admin - Slider List')
@push('headerscript')
@endpush
@section('content')
    <div class="page-content">
        {{-- <div class="row">
            <div class="flash-message">
                @foreach (['danger', 'warning', 'success', 'info'] as $msg)
                    @if (Session::has('alert-' . $msg))
                        <section>
                            <div class="row">
                                <div class="col-sm-12 col-lg-12">
                                    <center>
                                        <div data-example-id="simple-alerts" class="bs-example">
                                            <div role="alert" class="alert alert-success">
                                                <strong>Thank you your request has been Submitted
                                                    Successfully! Please wait untill your Request Approves!
                                                </strong>
                                            </div>
                                        </div>
                                    </center>
                                </div>
                            </div>
                        </section>
                    @endif
                @endforeach
            </div> <!-- end .flash-message -->
        </div>
     --}}
    <div class="">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <h2 class="card-title text-center">Slider</h2>
                            <div class="col-md-4 mt-4">
                                <a href="{{ route('sliders.create') }}" class="btn btn-primary">Create Slider</a>
                            </div>
                            <hr>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap w-100">
                               
                                <thead>
                                   
                                    <tr>

                                    </th>
                                        <th>S.No.</th>
                                        <th>Slider</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($sliders as $r)
                                        <tr>
                                            {{-- <td><input type="checkbox" name="chk" id=""></td> --}}
                                            <td>{{ $loop->iteration }}</td>
                                           
                                        
                                            <td>
                                                <img width="100" height="40px" src="{{asset($r->image)}}" alt="">
                                            </td>
                                            <td>
                                                <form action="{{route('sliders.destroy',$r->unique_id)}}" method="post">
                                                    @method('delete')
                                                    @csrf
                                                    <button type="submit" title="Delete" class="btn btn-danger btn-rounded btn-sm" style="margin-left: 5px;"><i class="fa fa-trash" aria-hidden="true"></i></button>
                                                </form>
                                            </td>
                                           
                                           
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->
        </div> <!-- container-fluid -->
    </div>
    </div>
    <!-- End Page-content -->

@endsection
@push('footerscript')

@endpush
