@extends('admin.layouts.app')
@section('title', 'Admin - Create Game ')
@section('content')



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Create Game</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="{{ route('user.store') }}"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Name <span class="text-danger">*</span></label>
                                        <input class="form-input form-control" type="text" id="name"  name="name"
                                            value="{{old('name')}}">
                                            <span class="text-danger small">{{$errors->first('name')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Email <span class="text-danger">*</span> </label>
                                            <input class="form-input form-control" type="email" value="{{old('email')}}" id="email" name="email">
                                            <span class="text-danger small">{{$errors->first('email')}}</span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Wallet</label>
                                        <input class="form-input form-control number" type="text" id="wallet" value="{{old('wallet',0)}}"  name="wallet">
                                        <span class="text-danger small">{{$errors->first('wallet')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-form-label">Password <span class="text-danger">*</span></label>
                                            <input class="form-input form-control" type="text" id="password" name="password" min="6">
                                            <span class="text-danger small">{{$errors->first('image')}}</span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-form-label">Image</label>
                                            <input class="form-input form-control" type="file" id="image" name="image">
                                            <span class="text-danger small">{{$errors->first('image')}}</span>
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
@endsection
@push('footerscript')
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>
<script>
    function getval() {
        var e = document.getElementById("cars").value;
        alert(e)
    }
</script>



 
@endpush
