@extends('layouts.app')
@push('headerscript')


 @endpush
 <style>
    .main-head input {
         background: unset;
         color: #fff;
         border: none;
         border-bottom: 1px solid #fff;
         border-radius: 0;
         width: 100%;
         padding: 12px;
 
     }
 
     .main-head  .input-wrap {
         position: relative;
         margin-bottom: 10px;
     }
 
     input:focus {
         outline: 0px;
     }
 
     .main-head   .input-wrap label {
         bottom: 5px;
 
         position: absolute;
         font-size: 14px;
         color: #FFF;
         z-index: 2;
         padding: 0 5px;
         -webkit-transition: all 300ms ease;
         -moz-transition: all 300ms ease;
         -ms-transition: all 300ms ease;
         -o-transition: all 300ms ease;
         transition: all 300ms ease;
     }
 
     .main-head .input-wrap label.active {
         top: 0px;
         font-size: 10px;
     }
 
     .main-head  .input-wrap label.active.hidden {
         opacity: 1;
         z-index: 2;
     }
 
     .main-head .input-wrap label.hidden {
         opacity: 0;
         z-index: -1;
     }
 </style>
@section('content')


    <div class="notification d-flex flex-column vh-100">
        <div class="d-flex  main-head align-items-center justify-content-between  p-3  shadow-lg osahan-header">
            <a href="javascript: history.go(-1)" class="text-white icon back-arrow">
                <img width="12" height="12" src="https://img.icons8.com/ios-filled/50/FFFFFF/back.png" alt="back" /></a>
            <h6 class="mb-0 ms-3 me-auto fw-bold text-white">Register & Play</h6>

        </div>



        <div class="sign-in p-4">
            <div class="justify-content-between mb-3">
                <div style="text-align: center">
                    <img src="{{ asset('webtheme/img/logo.png')}}" class="main-logo" style="height:80px" alt="">
                    <h6 class=" m-0 p-0">Welcome To </h6>
                    <h6 class=" x   `">Dream Satta </h6>
                </div>
            </div>
            <form method="POST" action="{{ route('register_store') }}" autocomplete="off">
                @csrf
           
                <div class=" main-head ">
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" data-placeholder=" Name *" required="" name="name">
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                        
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input number" maxlength="10" minlength="10" type="text" data-placeholder="Enter Mobile Number *" required="" name="phone">
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                        <input class="form__input" type="text" data-placeholder="Email Address *" required="" name="email">
                        <i class="eye-icon" style="z-index: 1000;">
                            <img width="15" height="15" src="https://img.icons8.com/ios-filled/50/FAB005/checkmark--v1.png" alt="checkmark--v1" />
                        </i>
                    </div>
                    <div class="form__input-group position-relative">
                    <input class="form__input" type="text" data-placeholder="Referral Code" name="referral_code">
                     
                    </div>
                </div>
                <div>
                <div class="d-flex justify-content-center   w-100">
                    <input type="cheackbox" style="    width: 16px;margin:0 5px 0  0;
                        height: 15px;">
                    <p class="text-38 f-12">    By signing up you will agree to our Privacy Policy And Terms</p>
            </div>
                    <div class="d-flex justify-content-center mt-2  w-100">
                        <p class="text-muted text-end mb-0  w-100"  >
                            <!--Don't have an account? -->
                            <button class="btn btn-sm yellow-common-btn text-dark w-100 rounded-4 mb-2">REGISTER</button></p>

                    </div>
                </div>
            </form>
        </div>

        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

        <script>
            $('.number').keyup(function(e) {
                if (/\D/g.test(this.value)) {
                    this.value = this.value.replace(/\D/g, '');
                }
            });


            $('.main-head input').each(function() {
                var labelText = $(this).attr('data-placeholder'), // Get input placeholder value
                    labelFor = $(this).attr('name'); // Get input name value

                // Wrap the input in a div and label
                $(this)
                    .wrap('<div class="input-wrap"></div>')
                    .before('<label for="' + labelFor + '">' + labelText + '</label>');
            });

            $('.main-head input').focus(function() {
                var inputName = $(this).attr('name');
                $('label[for="' + inputName + '"]').addClass('active');
            });

            $('.main-head input').blur(function() {
                if ($(this).val() != '') {
                    $('label.active').addClass('hidden').removeClass('active');
                } else {
                    $('label.active').removeClass('hidden active');
                }
            });
        </script>

        <!-- </body autocomplete="off"> -->

        @endsection