
<?php $__env->startSection('title','Admin - Setting'); ?>
<?php $__env->startPush('headerscript'); ?>

<style>
	.col-md-6{
	margin-bottom:10px;
	}

nav > .nav.nav-tabs{

border: none;
  color:#fff;
  border-radius:0;
}
nav > div a.nav-item.nav-link,
nav > div a.nav-item.nav-link.active
{
    color:#000;
}

</style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
<div class="page-content">
<!-- Start content -->
<div class="">
	<div class="container-fluid">
		<?php if(session()->has('error')): ?>
		<div class="alert alert-danger">
			<?php echo e(session()->get('error')); ?>

		</div>
	<?php endif; ?>

	<?php if(session()->has('success')): ?>
		<div class="alert alert-success">
			<?php echo e(session()->get('success')); ?>

		</div>
	<?php endif; ?>
		<div class="row">
			<div class="col-12">
				<div class="page-title-box d-sm-flex align-items-center justify-content-between">
					<h4 class="mb-sm-0 font-size-18">Web Setting</h4>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-xs-6 col-md-6 col-lg-6 col-sm-6">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3">
              <h4>Bouns Setting</h4>
              <form action="<?php echo e(route('setting.store')); ?>" method="post">
                  <?php echo csrf_field(); ?>
                  <input type="hidden" name="form_type" id="form_type" value="bounssetting" >
              <div class="mb-3 row">
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Refral Bouns</label>
                      <input class="form-input form-control" required type="text" id="refral_bouns" name="refral_bouns"
                          value="<?php if(!empty(getSiteSettings('refral_bouns'))): ?><?php echo e(getSiteSettings('refral_bouns')->_value); ?><?php endif; ?>">
                          <span class="text-danger small"><?php echo e($errors->first('refral_bouns')); ?></span>
                  </div>
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Bouns</label>
                      <input class="form-input form-control" required type="text" id="key" name="bouns"
                          value="<?php if(!empty(getSiteSettings('bouns'))): ?><?php echo e(getSiteSettings('bouns')->_value); ?><?php endif; ?>">
                          <span class="text-danger small"><?php echo e($errors->first('bouns')); ?></span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
			<div class="col-xs-6 col-md-6 col-lg-6 col-sm-6">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3">
              <h4>Contect Detail</h4>
              <form action="<?php echo e(route('setting.store')); ?>" method="post">
                  <?php echo csrf_field(); ?>
                  <input type="hidden" name="form_type" id="form_type" value="contact_detail" >
                <div class="mb-3 row">
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Whatsapp Number</label>
                      <input class="form-input form-control" type="text" id="whatsapp_number" name="whatsapp_number"
                          value="<?php if(!empty(getSiteSettings('whatsapp_number'))): ?><?php echo e(getSiteSettings('whatsapp_number')->_value); ?><?php endif; ?>">
                          <span class="text-danger small"><?php echo e($errors->first('whatsapp_number')); ?></span>
                  </div>
                  <div class="col-md-4">
                      <label for="example-date-input" class="col-form-label">Phone Number</label>
                      <input class="form-input form-control" type="text" id="phone_number" name="phone_number"
                          value="<?php if(!empty(getSiteSettings('phone_number'))): ?><?php echo e(getSiteSettings('phone_number')->_value); ?><?php endif; ?>">
                          <span class="text-danger small"><?php echo e($errors->first('phone_number')); ?></span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
			<div class="col-xs-12 col-md-12 col-lg-12 col-sm-12">
				<div class="card">
					<div class="card-body">
            <div class="tab-pane fade show active p-3" id="nav-aboutus" role="tabpanel" aria-labelledby="nav-aboutus-tab">
              <h4>About Us</h4>
              <form action="<?php echo e(route('setting.store')); ?>" method="post">
                  <?php echo csrf_field(); ?>
                  <input type="hidden" name="form_type" id="form_type" value="aboutus_content" >
              <div class="mb-3 row">
                  <div class="col-md-12">
                      <label for="example-date-input" class="col-form-label">About Us Content</label>
                      <textarea class="form-control ckeditor" type="text" id="aboutus_content" name="aboutus_content"><?php if(!empty(getSiteSettings('aboutus_content'))): ?><?php echo e(getSiteSettings('aboutus_content')->_value); ?><?php endif; ?></textarea>
                          <span class="text-danger small"><?php echo e($errors->first('aboutus_content')); ?></span>
                  </div>
                
              </div>
              <div class="row">
                  <div class="col-md-6 form-group">
                      <button name="submitBtn" class="btn btn-primary" type="submit">Save</button>
                      <button class="btn btn-danger m-l-15" type="reset">Cancel</button>
                  </div>
                  </div>
              </form>
              <hr>
          </div>
                        </div>
                      </div>
							
						</div> <!-- end col -->
					</div>
				</div>
			</div>
		</div>
		<!-- container -->
	</div>
	<!-- content -->
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script src="https://cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
       $('.ckeditor').ckeditor();
    });
</script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/Gaming_app/resources/views/admin/setting/index.blade.php ENDPATH**/ ?>