

    
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    
    <style>
 

#pageMessages {
      position: fixed;
      top: 5px;
      right: 15px;
      width: 30%;
      z-index: 9999999;
    }
    .alert {
      position: relative;
    }
    
    .alert .close {
      position: absolute;
      top: 5px;
      right: 5px;
      font-size: 1em;
    }
    
    .alert .fa {
      margin-right:.3em;
    }
    </style>
    <script>
      <?php if(session()->has('error_msg')): ?>
        createAlert('Opps!','Something went wrong',"<?php echo e(session()->get('error_msg')); ?>",'danger',true,true,'pageMessages');
        <?php endif; ?>
        <?php if(session()->has('success_msg')): ?>
        createAlert('','Successfully',"<?php echo e(session()->get('success_msg')); ?>",'success',true,true,'pageMessages');
        <?php endif; ?>
    function createAlert(title, summary, details, severity, dismissible, autoDismiss, appendToId) {
      var iconMap = {
        info: "fa fa-info-circle",
        success: "fa fa-thumbs-up",
        warning: "fa fa-exclamation-triangle",
        danger: "fa ffa fa-exclamation-circle"
      };
    
      var iconAdded = false;
    
      var alertClasses = ["alert", "animated", "flipInX"];
      alertClasses.push("alert-" + severity.toLowerCase());
    
      if (dismissible) {
        alertClasses.push("alert-dismissible");
      }
    
      var msgIcon = $("<i />", {
        "class": iconMap[severity] // you need to quote "class" since it's a reserved keyword
      });
    
      var msg = $("<div />", {
        "class": alertClasses.join(" ") // you need to quote "class" since it's a reserved keyword
      });
    
      if (title) {
        var msgTitle = $("<h4 />", {
          html: title
        }).appendTo(msg);
        
        if(!iconAdded){
          msgTitle.prepend(msgIcon);
          iconAdded = true;
        }
      }
    
      if (summary) {
        var msgSummary = $("<strong />", {
          html: summary
        }).appendTo(msg);
        
        if(!iconAdded){
          msgSummary.prepend(msgIcon);
          iconAdded = true;
        }
      }
    
      if (details) {
        var msgDetails = $("<p />", {
          html: details
        }).appendTo(msg);
        
        if(!iconAdded){
          msgDetails.prepend(msgIcon);
          iconAdded = true;
        }
      }
      
    
      if (dismissible) {
        var msgClose = $("<span />", {
          "class": "close", // you need to quote "class" since it's a reserved keyword
          "data-dismiss": "alert",
          html: "<i class='fa fa-times-circle'></i>"
        }).appendTo(msg);
      }
      
      $('#' + appendToId).prepend(msg);
      
      if(autoDismiss){
        setTimeout(function(){
          msg.addClass("flipOutX");
          setTimeout(function(){
            msg.remove();
          },1000);
        }, 5000);
      }
    }
    </script>
    <?php /**PATH D:\xampp\htdocs\satta\resources\views/admin/layouts/notification.blade.php ENDPATH**/ ?>