
<?php $__env->startSection('title', 'Admin - Result'); ?>
<?php $__env->startSection('content'); ?>



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Result</h4>
                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="<?php echo e(route('aResult.store')); ?>"
                            enctype="multipart/form-data">
                                <?php echo csrf_field(); ?>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Game <span class="text-danger">*</span></label>
                                        <select name="game" id="game" class="form-control" required>
                                            <option value="">Select Game </option>
                                            <?php $__currentLoopData = $game; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option <?php if(old('game') == $r->id): ?> selected <?php endif; ?> value="<?php echo e($r->id); ?>"><?php echo e($r->name); ?> (Start: <?php echo e(date('d-m-Y h:i a', strtotime($r->start_time))); ?>, End: <?php echo e(date('d-m-Y h:i a', strtotime($r->end_time))); ?>, Result: <?php echo e(date('d-m-Y h:i a', strtotime($r->result_time))); ?>)</option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        
                                            <span class="text-danger small"><?php echo e($errors->first('game')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Win Number <span class="text-danger">*</span></label>
                                        <select name="win_number" id="win_number" class="form-control" required>
                                            <option value="">Select Number</option>
                                            <?php for($i = 0;$i < 100; $i++): ?>
                                            <option <?php if(old('win_number')): ?> <?php if(old('win_number') == $i): ?> selected <?php endif; ?> <?php endif; ?> value="<?php echo e($i); ?>"><?php echo e($i); ?></option>
                                            <?php endfor; ?>
                                        </select>
                                            <span class="text-danger small"><?php echo e($errors->first('win_number')); ?></span>
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>
<script>
    function getval() {
        var e = document.getElementById("cars").value;
        alert(e)
    }
</script>



 
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/dakshgroup/public_html/Gaming_app/resources/views/admin/result/create.blade.php ENDPATH**/ ?>