
<?php $__env->startSection('title', 'Admin - User List'); ?>
<?php $__env->startPush('headerscript'); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        
    <div class="">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">

                            <h2 class="card-title text-center">User</h2>
                            <div class="col-md-4 mt-4">
                                <a href="<?php echo e(route('user.create')); ?>" class="btn btn-primary">Create User</a>
                            </div>
                            <hr>
                            <table id="datatable" class="table table-bordered dt-responsive nowrap w-100">
                                <thead>
                                   
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Wallet</th>
                                        <th>Image</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $lists; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            
                                            <td><?php echo e($loop->iteration); ?></td>
                                           
                                        
                                            <td>
                                                <?php echo e($r->name); ?>

                                            </td>
                                            <td>
                                                <?php echo e($r->email); ?>

                                            </td>
                                            <td>
                                                <?php echo e($r->wallet); ?>

                                            </td>
                                            <td>
                                                <img width="60px" class="rounded-circle" src="<?php echo e(asset($r->image)); ?>" alt="">
                                            </td>
                                            <td class="d-flex">
                                                <a href="<?php echo e(route('user.edit',$r->unique_id)); ?>" title="Edit" class="btn btn-success btn-rounded btn-sm"><i class="fa fa-pencil-alt"></i></a>
                                                <form action="<?php echo e(route('user.destroy',$r->unique_id)); ?>" method="post">
                                                    <?php echo method_field('delete'); ?>
                                                    <?php echo csrf_field(); ?>
                                                    <button type="submit" title="Delete" class="btn btn-danger btn-rounded btn-sm" style="margin-left: 5px;"><i class="fa fa-trash" aria-hidden="true"></i></button>
                                                </form>
                                            </td>
                                           
                                           
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div> <!-- end col -->
            </div> <!-- end row -->
        </div> <!-- container-fluid -->
    </div>
    </div>
    <!-- End Page-content -->

<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
   
  
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\satta\resources\views/admin/user/index.blade.php ENDPATH**/ ?>