
<?php $__env->startSection('title', 'Admin - Edit Game '); ?>
<?php $__env->startSection('content'); ?>



    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                        <h4 class="mb-sm-0 font-size-18">Edit Game</h4>



                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-body">


                            <form class="" method="POST" action="<?php echo e(route('game.update',$game->unique_id)); ?>" enctype="multipart/form-data">
                                <?php echo method_field('put'); ?>
                                <?php echo csrf_field(); ?>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md-2 col-form-label">Game Name </label>
                                        <input class="form-input form-control" type="text" id="name"  name="name"
                                            value="<?php echo e(old('name',$game->name)); ?>">
                                            <span class="text-danger small"><?php echo e($errors->first('name')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Start (Date And Time): </label>
                                            <input class="form-input form-control" type="datetime-local" value="<?php echo e(old('start_time',$game->start_time)); ?>" id="start_time" min="<?php echo e(date('Y-m-d H:i')); ?>" name="start_time">
                                            <span class="text-danger small"><?php echo e($errors->first('start_time')); ?></span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">End (Date And Time): </label>
                                        <input class="form-input form-control" type="datetime-local" id="end_time" value="<?php echo e(old('end_time',$game->end_time)); ?>" min="<?php echo e(date('Y-m-d H:i')); ?>" name="end_time">
                                        <span class="text-danger small"><?php echo e($errors->first('end_time')); ?></span>
                                    </div>
                                    <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Result (Date And Time): </label>
                                            <input class="form-input form-control" type="datetime-local" id="result_time" value="<?php echo e(old('result_time',$game->result_time)); ?>" min="<?php echo e(date('Y-m-d H:i')); ?>" name="result_time">
                                            <span class="text-danger small"><?php echo e($errors->first('result_time')); ?></span>
                                    </div>
                                </div>
                                <div class="mb-3 row">
                                <div class="col-md-6">
                                        <label for="example-date-input" class="col-md- col-form-label">Image: </label>
                                        <input class="form-input form-control" type="file" id="image" name="image">
                                    </div>
                                    <div class="col-md-6">
                                       <img style="border: 2px solid;" src="<?php echo e(asset($game->image)); ?>" alt="">
                                    </div>
                                </div>
                        </div>
                    </div>
                   </div>
                </div>
            <div class="col-md-4 mt-4">
                <input type="submit" class="btn btn-primary" value="Submit">
            </div>
        </div>
        </form>
<!-- 
        <select name="cars" id="cars" onchange="getval()">
            <option value="1">Volvo</option>
            <option value="2">Saab</option>
            <option value="3">Opel</option>
            <option value="4">Audi</option>
            <option value="5">Audi</option>
          </select> -->

    </div> <!-- end col -->

    </div>
    </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('footerscript'); ?>
  <script>
    $('.number').keyup(function(e) {
        if (/\D/g.test(this.value)) {
            this.value = this.value.replace(/\D/g, '');
        }
    });
</script>



 
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp\htdocs\satta\resources\views/admin/game/edit.blade.php ENDPATH**/ ?>